%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ProteinPCA
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Principal Component Analysis (PCA) Tool on Protein Expression Data

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-gridExtra 
Requires:         R-stats 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-gridExtra 

%description
Analysis of protein expression data can be done through Principal
Component Analysis (PCA), and this R package is designed to streamline the
analysis. This package enables users to perform PCA and it generates
biplot and scree plot for advanced graphical visualization. Optionally, it
supports grouping/clustering visualization with PCA loadings and
confidence ellipses. With this R package, researchers can quickly explore
complex protein datasets, interpret variance contributions, and visualize
sample clustering through intuitive biplots. For more details, see
Jolliffe (2001) <doi:10.1007/b98835>, Gabriel (1971)
<doi:10.1093/biomet/58.3.453>, Zhang et al. (2024)
<doi:10.1038/s41467-024-53239-9>, and Anandan et al. (2022)
<doi:10.1038/s41598-022-07781-5>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
